package cn.com.qmth.stmms.ms.commons.utils;

import java.io.File;

/** 
 * @Description: 文件操作工具 
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/4/4 
*/ 
public class FileUtil {

    /**
     * 删除文件夹
     *
     * @param file
     */
    public static void deleteFile(File file) throws Exception {
        //取得这个目录下的所有子文件对象
        File[] files = file.listFiles();
        //遍历该目录下的文件对象
        for (File f : files) {
            //打印文件名
            //判断子目录是否存在子目录,如果是文件则删除
            if (f.isDirectory()) {
                deleteFile(f);
            } else {
                f.delete();
            }
        }
        //删除空文件夹  for循环已经把上一层节点的目录清空。
        file.delete();
    }
}
